Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package compiler
  Definition Classes
    macros
-  package contexts
  Definition Classes
    macros
- Aliases
- Context
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- Parsers
- Reifiers
- Traces
- Typers
-  package runtime
  Definition Classes
    macros
-  package util
  Definition Classes
    macros

p

scala.reflect.macros

# contexts 

#### package contexts

Content Hierarchy

### Type Members

1.  trait Aliases extends AnyRef
2.  abstract class Context extends blackbox.Context with whitebox.Context with Aliases with Enclosures with Names with Reifiers with FrontEnds with Infrastructure with Typers with Parsers with Evals with ExprUtils with Traces with Internals
3.  trait Enclosures extends AnyRef
4.  trait Evals extends AnyRef
5.  trait ExprUtils extends AnyRef
6.  trait FrontEnds extends AnyRef
7.  trait Infrastructure extends AnyRef
8.  trait Internals extends TypingTransformers
9.  trait Names extends AnyRef
10.  trait Parsers extends AnyRef
11.  trait Reifiers extends AnyRef
12.  trait Traces extends util.Traces
13.  trait Typers extends AnyRef

### Ungrouped